summaryrefslogtreecommitdiff
path: root/dev-python/pytest-tornasync
diff options
context:
space:
mode:
authorroot <root@alpha.trunkmasters.com>2026-06-12 19:09:37 -0500
committerroot <root@alpha.trunkmasters.com>2026-06-12 19:09:37 -0500
commitb590c8d7572b727d565cc0b8ff660d43569845de (patch)
tree06f7a4102ea4e845df8b66660f252920d52952f9 /dev-python/pytest-tornasync
parent24f9cbfc4c34fdb6a6e03311674414e881ceab47 (diff)
downloadbaldeagleos-repo-b590c8d7572b727d565cc0b8ff660d43569845de.tar.gz
baldeagleos-repo-b590c8d7572b727d565cc0b8ff660d43569845de.tar.xz
baldeagleos-repo-b590c8d7572b727d565cc0b8ff660d43569845de.zip
Adding metadata
Diffstat (limited to 'dev-python/pytest-tornasync')
-rw-r--r--dev-python/pytest-tornasync/Manifest1
-rw-r--r--dev-python/pytest-tornasync/metadata.xml14
-rw-r--r--dev-python/pytest-tornasync/pytest-tornasync-0.6.0_p2-r1.ebuild45
3 files changed, 60 insertions, 0 deletions
diff --git a/dev-python/pytest-tornasync/Manifest b/dev-python/pytest-tornasync/Manifest
new file mode 100644
index 000000000000..3f23e97f70d9
--- /dev/null
+++ b/dev-python/pytest-tornasync/Manifest
@@ -0,0 +1 @@
+DIST pytest-tornasync-0.6.0.post2.gh.tar.gz 6157 BLAKE2B 315526ebfe1801ccb10258c0258a83f16efdc28b2b2dcdeece94423a0230506fc08ef176655e35c7aed007fad40501d6a1b0ad20728dfc58faddaad003fb1182 SHA512 fe21bc724b0bcc192f0ca7628302cda0b8122e1b5aedd4f7a0818bc757f45c1d4f76b2aecc35396349df7fc5b43c1278a5a06af44c2b29d8bf1e691164324231
diff --git a/dev-python/pytest-tornasync/metadata.xml b/dev-python/pytest-tornasync/metadata.xml
new file mode 100644
index 000000000000..b79a884f5527
--- /dev/null
+++ b/dev-python/pytest-tornasync/metadata.xml
@@ -0,0 +1,14 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<!DOCTYPE pkgmetadata SYSTEM "https://docs.baldeagleos.com/dtd/metadata.dtd">
+<pkgmetadata>
+ <maintainer type="project">
+ <email>sci@gentoo.org</email>
+ <name>Gentoo Science Project</name>
+ </maintainer>
+ <maintainer type="project">
+ <email>python@gentoo.org</email>
+ <name>Python</name>
+ </maintainer>
+ <stabilize-allarches />
+ <origin>baldeagleos-repo</origin>
+</pkgmetadata>
diff --git a/dev-python/pytest-tornasync/pytest-tornasync-0.6.0_p2-r1.ebuild b/dev-python/pytest-tornasync/pytest-tornasync-0.6.0_p2-r1.ebuild
new file mode 100644
index 000000000000..1c8256b5d571
--- /dev/null
+++ b/dev-python/pytest-tornasync/pytest-tornasync-0.6.0_p2-r1.ebuild
@@ -0,0 +1,45 @@
+# Copyright 1999-2025 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=setuptools
+PYPI_NO_NORMALIZE=1
+PYTHON_COMPAT=( python3_{13..14} )
+
+inherit distutils-r1 pypi
+
+MY_P=${PN}-${PV/_p/.post}
+DESCRIPTION="Pytest plugin for testing Python 3.5+ Tornado code"
+HOMEPAGE="
+ https://github.com/eukaryote/pytest-tornasync/
+ https://pypi.org/project/pytest-tornasync/
+"
+SRC_URI="
+ https://github.com/eukaryote/pytest-tornasync/archive/${PV/_p/.post}.tar.gz
+ -> ${MY_P}.gh.tar.gz
+"
+S=${WORKDIR}/${MY_P}
+
+LICENSE="MIT"
+SLOT="0"
+KEYWORDS="amd64 arm arm64 ~hppa ~loong ppc ppc64 ~riscv ~s390 ~sparc x86"
+
+RDEPEND="
+ >=dev-python/pytest-3.0[${PYTHON_USEDEP}]
+ >=dev-python/tornado-5.0[${PYTHON_USEDEP}]
+"
+
+distutils_enable_tests pytest
+
+python_prepare_all() {
+ # Do not install the license file
+ sed -i -e '/LICENSE/d' setup.py || die
+
+ distutils-r1_python_prepare_all
+}
+
+python_test() {
+ local -x PYTEST_DISABLE_PLUGIN_AUTOLOAD=1
+ epytest -p pytest_tornasync.plugin
+}